<div align="center">
  <div>
    <h1 align="center">AI Test</h1>
  </div>
  <p><strong>Transform your development workflow with AI-powered testing and suggestions!</strong></p>
  <p>✨ Run mock tests before committing, powered by AI (chatgpt/gpt4)</p>
  <p>🚀 Get valuable suggestions to improve your code before you commit, powered by AI (chatgpt/gpt4)</p>
  <p>🛠 Automatically generate unit tests for your code changes before committing, powered by AI (chatgpt/gpt4)</p>


  <a href="https://pypi.org/project/aitest/">
        <img alt="PyPI" src="https://img.shields.io/pypi/v/aitest">
    </a>
    <a href="https://github.com/voidful/aitest">
        <img alt="Download" src="https://img.shields.io/pypi/dm/aitest">
    </a>
    <a href="https://github.com/voidful/aitest">
        <img alt="Last Commit" src="https://img.shields.io/github/last-commit/voidful/aitest">
    </a>
  <a href="https://github.com/voidful/aitest">
        <img src="https://visitor-badge.glitch.me/badge?page_id=voidful.aitest" alt="Visitor" />
    </a>
</div>

---

## 🌟 Features

- Run mock tests on your latest code changes before committing, powered by AI
- Get actionable code improvement suggestions to optimize your codebase
- Automatically generate unit tests for your code changes, saving you time and effort
- Easy-to-use CLI with configuration options for a tailored experience
- Improve code quality, reduce technical debt, and increase confidence in your commits

## 📦 Installation

Install the AI Test package using pip:

```bash
pip install ai-test
```

## 🚀 Quick Start

After installation, use the aitest command to analyze your code changes:

```bash
aitest
```
You can customize the behavior of the CLI using various options:

```bash
aitest --threshold 0.8 --engine text-davinci-002 --max-tokens 400
```
For more information on available options, run:

```bash
aitest --help
```

### 📚 Documentation

Check out the official documentation for more detailed information on how to use AI Test, configuration options, and advanced use cases.

### 🌱 Contribute

We welcome contributions! Feel free to open issues, submit pull requests, or start discussions on improving AI Test.

### 📃 License

This project is licensed under the MIT License.

##🚀 Empower your code commit workflow with AI Test today! Give it a try, and don't forget to ⭐️ the repository if you find it helpful!

